Haskell on FreeBSD 5.3

Tankko tankko at gmail.com
Fri Jul 20 21:42:03 UTC 2007


I am trying to install Haskell (no-x11) on a FreeBSD 5.3 system and
having no luck.  From looking at the Makefile, it seems that the
latest version of Haskel (6.6.1) can only be installed on FreeBSD 6.

I've tried tweaking the makefile to fudge version numbers, but all I
get is pain and errors.

Is there a way to install a previous version of Haskell using the
ports system?   Google has no good answers I can find.

I've looked into portdowngrade, but that doesn't seem to be what I
need.  I am not downgrading a previous version of Haskell, I just need
to install an old one.  Plus I can't really figure out how
portdowngrade works. :-)

Any help will be much appreciated.

Tankko


More information about the freebsd-questions mailing list